## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Assign a Project Role

**POST** /v2.0/projects/{projectId}/members/{userId}/addroletomember

**Try it**

#### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}/addroletomember \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}/addroletomember"

payload = {}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}/addroletomember', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}/addroletomember",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",  
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}/addroletomember"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### HTTP Response Status Codes

- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable 
- **504**: Gateway Timeout

### Example Responses

#### 400 Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
#### 401 Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorization

**X-API-Key**: string
- **Location**: header
- **Required**: Yes

Supply the API Key in the HTTP-Header.

### Headers

**Accept**: enum<string>
- Specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **userId**: string (required)
    - The ID of the User.
    - Required string length: `24`
    - Pattern: `^[a-z0-9]{24}$`

- **projectId**: string (required)
    - The unique identifier for the Project.
    - Required string length: `24`
    - Pattern: `^[a-z0-9]{24}$`

### Body

**application/json**

- **role**: enum<string>
    - Available options: `agentAssistConfigAdmin`, `agentAssistConfigViewer`, `analytics`, `basic`, `connection_admin`, `contact_profile_admin`, `contact_profile_editor`, `contact_profile_viewer`, `conversationHistory`, `developer`, `endpoint_admin`, `extension_admin`, `extension_editor`, `flowEditor`, `flowNodeComments`, `flowNodeDescriptions`, `followUser`, `handoverProviderAdmin`, `intents`, `data_privacy_admin`, `data_privacy_editor`, `data_privacy_viewer`, `knowledgeAdmin`, `large_language_model_admin`, `lexicon_admin`, `lexicon_editor`, `localesAdmin`, `logs`, `memberManager`, `nlu_connector_admin`, `packages_admin`, `playbook_admin`, `playbook_editor`, `projectAdmin`, `snapshot_admin`, `tokenAdmin`, `tokenEditor`, `function_admin`, `function_editor`, `simulator_admin`.

### Response

**204**: User-role was added to the project member.
